Subject: [Softwires] Alain's comment on the -v4 draft.

From: "Durand, Alain" <[email-masked]>
Date: Fri, 30 Dec 2005 08:04:50 -0500

Here are my comments about the v4 draft. I'll already sent them to the rest of the authors,
sending to the list for additional feedback.
 
   - Alain.

1) list of authors. it is 5 max. The BCP is to put only one name, the editor's name
and list the real authors in one of the last section of the draft.
 
2) Introduction: doesn't say if the softwires are symmetric or not.
    IMHO, they are in the hub & spoke case, and that is
    here a big difference with regular tunnels that cannot be assumed symmetric.
    Less clear to me in the mesh case if a) they are or even b) they should be,
    This should be discussed clearly somewhere
 
3) 2.1 Terminology
    CPE. Customer Premises Equipment
    This is NOT a modem, but actually any kind of device owned by the customer at the ISP/Customer demark point.
    Here is the best definition I found:
    " Terminal and associated equipment and inside wiring located at a subscriber's premises and connected with a carrier's communication channel (s) at the demarcation point (" demarc "). Note 1: The demarc is a point established in a building or complex to separate customer equipment from telephone company equipment"
     So a PC behind a cable/dsl modem is a CPE, a PC behind a Router-NAT behind a cable/dsl modem is not a CPE
     Implication: We should not talk about CPE devices, this makes no sense. We can talk about CPE (for the general case), CPE hosts and CPE routers.

4) 3.1 "The CPE device (typically a router or a device behaving as such),"
 
     ==> "The CPE router..." or The CPE (in the case of a router)...
 
     Later in the paragraph, s/CPE device/CPE router/
     Actually the same applies almost everywhere.
 
5) 3.5 Paragraph 1.
    According to the previous definition of CPE, the text makes little sense.
    I suggest rewording the following text:
    "It can run on
   a simple dual stack host or a local dual stack router.  As noticed
   earlier, this can be the CPE access device, another dedicated CPE
   device behind the original CPE access device or simply any kind of
   node (host, appliance, sensor, etc.)."
 
   by
 
   "It can run on any dual stack node"
 
 6) 3.6 "TEP"
 
      IMHO, one of the achievement of softwire is to introduce a non ambiguous terminology
      by getting rid of the tunnel terminology. Re-introducing TEP here is a bad idea.
      Note: TEP, as Tunnel End Point, is ambiguous, it can be any end, as softwire concentrator is not.
      Please, remove the TEP terminology.

7) 3.7 "When the initiator of the softwire is a CPE"
 
    The following is true for any softwire initiator...  reword as:
     "The softwire initiator must know the IP address or DNS name..."
      "The simplest way to achieve this is to manually configure the softwire initiator..."
 
8) Mesh.
 
Reading this one more time, it is still not very obvious where those AFBR sits in the network.
It is not clear if they can (or not) belong to customers, if they all MUST be managed by the same entity or not
The introduction of MPLS in the picture in section 4.1 makes one wonder...
 
>From what was presented in the various wg meeting, I think we have answers to those questions
and it will be good to clarify this.
 
9) Contrast & Compare: need to add much more text here.
 
10) Reference section: this is very minimal... need to add much more

_______________________________________________
Softwires mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/softwires